package com.wyz.demo.service;

import com.wyz.demo.dto.OrderDTO;
import com.wyz.demo.vo.CommonOrderVO;
import com.wyz.demo.vo.DetailOrderVO;
import com.wyz.demo.vo.SelfOrderVO;
import com.wyz.demo.vo.SelfPickedOrderVO;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpSession;
import java.util.List;

public interface OrderService {

    /**
     * 获取某个用户自己发起的全部订单
     */
    public List<SelfOrderVO> getOrdersByUsername(String username);

    /**
     * 获取某个用户的全部接单
     */
    public List<SelfPickedOrderVO> getPickedOrdersByUsername(String username);

    /**
     * 提交订单
     */
    public void addOrder(OrderDTO orderDTO, HttpSession sess);


    /**
     * 获取所有未接单的订单，在主页上显示
     */
    public List<CommonOrderVO> getAllUnpickOrders();


    /**
     * 获取订单详情页
     */
    public DetailOrderVO getDetailOrder(int orderId);

    /**
     * 接单
     */
    public void pickOrder(int order_id, HttpSession sess);

    /**
     * 取消接单
     * @param order_id
     */
    public void cancelPickedOrder(int order_id);

    /**
     * 接单确认送达
     */
    public void confirmPickedOrder(int order_id);

    /**
     * 下单者-取消订单
     */
    public void cancelOrder(int order_id);



    /**
     * 下单者-确认完成
     */
    public void confirmOrder(int order_id);



}
